{#
/**
 * @file
 * Default theme implementation for main view template.
 *
 * Available variables:
 * - attributes: Remaining HTML attributes for the element.
 * - css_name: A css-safe version of the view name.
 * - css_class: The user-specified classes names, if any.
 * - header: The optional header.
 * - footer: The optional footer.
 * - rows: The results of the view query, if any.
 * - empty: The content to display if there are no rows.
 * - pager: The optional pager next/prev links to display.
 * - exposed: Exposed widget form/info to display.
 * - feed_icons: Optional feed icons to display.
 * - more: An optional link to the next page of results.
 * - title: Title of the view, only used when displaying in the admin preview.
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the view title.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the view title.
 * - attachment_before: An optional attachment view to be displayed before the
 *   view content.
 * - attachment_after: An optional attachment view to be displayed after the
 *   view content.
 * - dom_id: Unique id for every view being printed to give unique class for
 *   Javascript.
 *
 * @see template_preprocess_views_view()
 *
 * @ingroup themeable
 */
#}
{{ attach_library( 'talkingmaps/view' ) }}



{%
  set classes = [
	'view',
    'view-' ~ id|clean_class,
    'view-id-' ~ id,
    'view-display-id-' ~ display_id,
    dom_id ? 'js-view-dom-id-' ~ dom_id
  ]
%}
<div class="container">
	<a href="/node/add/talkingmaps"><div class="btn btn-light">Add a new Story</div></a>

	<div {{ attributes.addClass(classes) }}>
		{{ title_prefix }}
		{{ title }}
	  <div class="contextual-region">
		{{ title_suffix }}
	  </div>

	  {% if header %}
		<header>
		  {{ header }}
		</header>
	  {% endif %}

	  {{ exposed }}
	  {{ attachment_before }}

	  {% if rows %}
		<div class="view-content row">
		  {{ rows }}
		</div>
	  {% elseif empty %}
		<div class="view-empty">
		  {{ empty }}
		</div>
	  {% endif %}

	  {% if pager %}
		{{ pager }}
	  {% endif %}

	  {{ attachment_after }}
	  {{ more }}

	  {% if footer %}
		<footer class="view-footer">
		  {{ footer }}
		</footer>
	  {% endif %}

	  {{ feed_icons }}
	</div>
</div>